const MAXMUL: u32 = 100000;

pub fn splitspace(input: &str) -> (&str, &str) {
    let mut output = input.split_ascii_whitespace();
    (output.next().unwrap(), output.next().unwrap())
}

pub fn parsenumber(input: &str) -> u32 {
    let mut output = 0;
    let mut mul = 1;
    for c in input.chars().rev() {
        let i: u32 = match c {
            '1' => 1,
            '2' => 2,
            '3' => 3,
            '4' => 4,
            '5' => 5,
            '6' => 6,
            '7' => 7,
            '8' => 8,
            '9' => 9,
            '0' => 0,
            _ => 0,
        };
        if mul > MAXMUL {
            return output;
        }
        output += i * mul;
        mul *= 10;
    }
    output
}
